#
# spec file for package tei-xsl-stylesheets (Version 2004.2.3)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         tei-xsl-stylesheets
Summary:      XSL stylesheets for TEI XML
Version:      2004.2.3
Release:      0
%define my_pac_ver 3.1
License:      BSD
Group:        Productivity/Publishing/SGML
# Source0: http://users.ox.ac.uk/~rahtz/tei/teixsl-html.zip
# Source1: http://www.hcu.ox.ac.uk/TEI/Stylesheets/teixsl-fo.zip
Source0:      http://www.tei-c.org/Stylesheets/teixsl-fo.zip
Source1:      http://www.tei-c.org/Stylesheets/teixsl-html.zip
# Source2: teiu5.xml
# Source3: teiu5-print.xsl
# Source4: tei_xsl2x.sh
URL:          http://www.tei-c.org/Stylesheets/
#Patch:      
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Stylesheets to transform TEI XML documents to HTML, and to XSL
Formatting Objects.

Use it with libxslt or Saxon.



Authors:
--------
    Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir %{_datadir}/sgml
%define xml_dir %{_datadir}/xml
%define xml_mod_dir %{xml_dir}/tei
%define xml_mod_style_dir %{xml_mod_dir}/stylesheet
%define xml_mod_style_prod_dir %{xml_mod_style_dir}/rahtz
%define xml_mod_style_prod4_dir %{xml_mod_style_prod_dir}/P4
%prep
%setup -q -c -T
# rm -fr %{name}
#%{INSTALL_DIR} %{name}/{fo,html}
#pushd %{name}/fo
unzip -q -a %{SOURCE0}
#popd
#pushd %{name}/html
unzip -o -q -a %{SOURCE1}
#popd
/bin/chmod -Rf a+rX,g-w,o-w .
# pushd %{name}
# cp -a $RPM_SOURCE_DIR/tei_xsl2x.sh .
# popd

%build

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ]; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{xml_mod_style_prod4_dir}/%{my_pac_ver}
cp -a . $RPM_BUILD_ROOT%{xml_mod_style_prod4_dir}/%{my_pac_ver}
pushd $RPM_BUILD_ROOT%{xml_mod_style_prod4_dir}
ln -sf %{my_pac_ver} current
popd
# %{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
# pushd %{name}
# %{INSTALL_SCRIPT} tei_xsl2x.sh $RPM_BUILD_ROOT/usr/bin/tei_xsl2x.sh
# popd

%clean
rm -fr $RPM_BUILD_ROOT

%pre
# in case of an update check for old dirs (affected systems =< SL 9.0)
# echo $1
# [ "$1" = "1" ] && exit 0 # not an update; no links required
old="tei/xsl-stylesheets"
pushd %{sgml_dir} >/dev/null
{
  for f in $old; do
    [ -d $f ] && echo $f || :
  done
} >> /var/adm/SuSEconfig/run-sgmldir-links

%files
%defattr(644, root, root, 755)
# %doc
%dir %{xml_dir}
# make install
%dir %{xml_mod_dir}
%dir %{xml_mod_style_dir}
%dir %{xml_mod_style_prod_dir}
%dir %{xml_mod_style_prod4_dir}
%{xml_mod_style_prod4_dir}/%{my_pac_ver}

%changelog -n tei-xsl-stylesheets
* Thu Feb 12 2004 - ke@suse.de
- Update to Version 3.1 (downloaded 2003-02-12); finally move
  stylesheets to /usr/share/xml/tei/stylesheet/rahtz/P4/3.1.
* Tue Feb 10 2004 - ke@suse.de
- Adjust directories according to FHS 2.3:
  * Move stylesheets to /usr/share/xml/tei/stylesheet/rahtz.
  * Provide compatibility links for SL =< 9.0 (log this info in
  /var/adm/SuSEconfig/run-sgmldir-links for later processing).
* Thu Oct 09 2003 - ke@suse.de
- Update to version 2.1 (downloaded 2003-10-08).
* Tue Jun 17 2003 - ke@suse.de
- Update to version 1.6 (downloaded 2003-06-17 11:30).
- Add missing directories to the %%files list.
* Wed Jun 26 2002 - ke@suse.de
- Update to version 2002-06-25.
* Thu May 23 2002 - ke@suse.de
- Update to version 2002-05-18: works best with recent versions of
  libxslt and Saxon.
* Mon Nov 26 2001 - ke@suse.de
- New package: version 2001-11-20.
